@use 'sass/color';
@use 'sass/size';
@use 'sass/mixin';

.mat-slider-track-fill,
.mat-slider-wrapper,
.mat-slider-track-wrapper,
.mat-slider-track-background {
  height: 4px !important;
  border-radius: 10px !important;
}

.slider-wrapper {
  @include mixin.center-items(space-evenly, center);
  flex-flow: row nowrap;
  gap: size.$gap;
  .mat-form-field {
    margin-right: size.$gap;
    .input {
      width: 100px;
      text-align: right;
    }
    .unit {
      margin-left: 1ch;
      vertical-align: text-top;
    }
    ::ng-deep .mat-form-field-infix {
      width: unset !important;
    }
  }
  .slider {
    flex: 8 1 100px;
  }
}
